[supervisord]
# start in foreground if true; default false
nodaemon=true
# log level; default info; others: debug,warn,trace
loglevel=info
logfile = /var/log/supervisord/supervisord.log
# supervisord pidfile;default supervisord.pid
pidfile = /var/run/supervisord/supervisord.pid
# max main logfile bytes b4 rotation;default 50MB
logfile_maxbytes=0

#[program:nginx]
#priority=10
#command=/usr/sbin/nginx -c /etc/nginx/nginx.conf
#stdout_logfile=/dev/stdout
#stdout_logfile_maxbytes=0
#stderr_logfile=/dev/stderr
#stderr_logfile_maxbytes=0
#autorestart=true
## Graceful stop, see http://nginx.org/en/docs/control.html
#stopsignal=QUIT

[program:node]
command=npm start
stdout_logfile=/dev/stdout
stdout_logfile_maxbytes=0
stderr_logfile=/dev/stderr
stderr_logfile_maxbytes=0
autorestart=true
stopsignal=QUIT